Package com.collibra.dgc.core.api.model.activitystream

# Interface Activity

All Superinterfaces:
  `Entity`, `Serializable`

public interface Activity extends Entity
Represents an activity

Activity is atomic operation within Data Governance Center application. It could be i.e. removal of community, or creation of a domain.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActivityType`
  `getActivityType()`
  Returns the type of the activity, which could be ADD, UPDATE or DELETE.
  `int`
  `getCallCount()`
  Returns the number of calls standing behind the activity.
  `String`
  `getCallId()`
  Returns the UUID of the call that resulted in an activity.
  `ActivityCause`
  `getCause()`
  Returns the cause of the activity.
  `String`
  `getDescription()`
  Returns the description of the activity.
  `Long`
  `getTimestamp()`
  Returns the time when the activity happened, in timestamp format.
  `UserReference`
  `getUser()`
  Returns the reference to the user that performed the activity.

  ### Methods inherited from interface Entity

  `getId, setId`

- ## Method Details

  - ### getTimestamp

    Long getTimestamp()
    Returns the time when the activity happened, in timestamp format.
    Returns:
      the time when the activity happened

  - ### getUser

    UserReference getUser()
    Returns the reference to the user that performed the activity.
    Returns:
      the reference to the user that performed the activity

  - ### getCause

    ActivityCause getCause()
    Returns the cause of the activity.
    Returns:
      the cause of the activity

  - ### getCallId

    String getCallId()
    Returns the UUID of the call that resulted in an activity.
    Returns:
      the UUID of the call that resulted in an activity

  - ### getCallCount

    int getCallCount()
    Returns the number of calls standing behind the activity.
    Returns:
      the number of calls

  - ### getActivityType

    ActivityType getActivityType()
    Returns the type of the activity, which could be ADD, UPDATE or DELETE.
    Returns:
      the type of the activity

  - ### getDescription

    String getDescription()
    Returns the description of the activity. It's the string in json format. It's exact content depends on activityType and on the type of the resource that was affected by the change. Possible fields are:
    - affected - always there, consists of id, type and name, it's the reference to the resource that was added, deleted or updated with the activity.
    - new, old - for all activities of ActivityType.UPDATE, respectively new and old value of the field. It can be either the reference to another object (same as affected) or just a string (eg. name change).
    - field - for ActivityType.UPDATE the name of the field that was changed, eg. status, name, target etc.
    - role, people, resource - only for the responsibility activities, people means owner (user or group).
    - source, target, role, coRole - only for relations (including complex relation legs).
    - complexRelation, legs - only for complex relations, legs here stands for all the legs that the complex relation consists of.
    - kind - only for attributes, it's attribute kind, eg. boolean, string, numeric etc.
    - businessItem - only for workflows, reference to an object that is the business item for non-global workflows.
    - attachmentFile - only for attachments, it's the name of the file that was attached.
    - rating - only for ratings and reviews, contains a double representing the current rating
    Returns:
      the description of the activity